Bug 829082 - Kworker/0:1 running at around 100% after upgrading from 16 using preupgrade
Kworker/0:1 running at around 100% after upgrading from 16 using preupgrade
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 18:19 EDT by Dennis Schafroth
Modified: 2012-08-20 12:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-20 12:49:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of top (2.12 KB, text/plain)
2012-06-05 18:20 EDT, Dennis Schafroth
no flags Details
ps -ef output (10.66 KB, text/plain)
2012-06-05 18:21 EDT, Dennis Schafroth
no flags Details
output of mount (1.97 KB, text/plain)
2012-06-05 18:22 EDT, Dennis Schafroth
no flags Details

  None (edit)
Description Dennis Schafroth 2012-06-05 18:19:27 EDT
Description of problem:

Just upgraded from Fedora 16 to Fedora 17 using preupgrade. Now one kernel worker process is using around 100% CPU. Not seeing any problems in the logs.

Version-Release number of selected component (if applicable):
[root@applebook ~]# uname -a
Linux applebook.schafroth.dk 3.3.7-1.fc17.i686.PAE #1 SMP Mon May 21 22:42:05 UTC 2012 i686 i686 i386 GNU/Linux


How reproducible:

I have rebooted a couple of times. It comes back every time. Running in runlevel 3 / multi-user.target on a Netbook Asus 1005PA. 

Steps to Reproduce:
1.
2.
3.
  
Actual results:

one kworker process running at 60-100% CPU

Expected results:

Much lower kworker CPU usage. 

Additional info:

Any tips on debugging kernel worker threads would be great.
Comment 1 Dennis Schafroth 2012-06-05 18:20:58 EDT
Created attachment 589663 [details]
Output of top

Sample output from top.
Comment 2 Dennis Schafroth 2012-06-05 18:21:45 EDT
Created attachment 589664 [details]
ps -ef output
Comment 3 Dennis Schafroth 2012-06-05 18:22:45 EDT
Created attachment 589665 [details]
output of mount
Comment 4 MB 2012-06-07 16:23:45 EDT
Same happens on my laptop (Sager FL92) - draining battery fast. FC16 worked fine.

top - 14:17:28 up 19 min,  9 users,  load average: 1.17, 1.19, 0.85
Tasks: 153 total,   3 running, 150 sleeping,   0 stopped,   0 zombie
Cpu(s):  0.9%us, 31.3%sy,  0.0%ni, 67.8%id,  0.0%wa,  0.0%hi,  0.0%si,  0.0%st
Mem:   4049184k total,   931260k used,  3117924k free,    49092k buffers
Swap:  2047996k total,        0k used,  2047996k free,   361948k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND                                                                                  
 1931 root      20   0     0    0    0 R 63.5  0.0   5:38.44  kworker/0:1                                                                                                              
  999 root      20   0  148m  48m  19m S  0.7  1.2   1:00.70 X                                                                                         
...


Linux * 3.4.0-1.fc17.x86_64 #1 SMP Sun Jun 3 06:35:17 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux


lspci:


00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 03)
00:1c.5 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation G84 [GeForce 8600M GT] (rev a1)
04:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5787M Gigabit Ethernet PCI Express (rev 02)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)
0e:06.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
0e:06.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
0e:06.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
Comment 5 MB 2012-06-14 20:31:23 EDT
Today, after a complete battery drainage and a subsequent restart, my kworker issue has gone. So, a package updated between June 8 (last kernel update) and June 13 made a difference. Candidates:

Jun 07 23:18:43 Installed: javasqlite-20120209-1.fc17.x86_64
Jun 08 00:25:12 Installed: derby-10.6.2.1-2.fc17.noarch
Jun 08 08:59:18 Installed: sac-1.3-12.fc17.noarch
Jun 08 08:59:18 Installed: ant-scripts-1.8.3-1.fc17.noarch
Jun 08 08:59:18 Installed: felix-gogo-runtime-0.10.0-4.fc17.noarch
Jun 08 08:59:32 Installed: 1:java-1.7.0-openjdk-javadoc-1.7.0.3-2.1.fc17.6.noarch
Jun 08 08:59:32 Installed: felix-gogo-shell-0.10.0-3.fc17.noarch
Jun 08 08:59:32 Installed: 1:eclipse-emf-core-2.8.0-0.22.I201205031800.fc17.x86_64
Jun 08 08:59:33 Installed: felix-framework-4.0.2-1.fc17.noarch
Jun 08 08:59:33 Installed: felix-gogo-command-0.12.0-3.fc17.noarch
Jun 08 08:59:33 Installed: 1:eclipse-swt-4.2.0-0.22.I201205031800.fc17.x86_64
Jun 08 08:59:34 Installed: 1:eclipse-rcp-4.2.0-0.22.I201205031800.fc17.x86_64
Jun 08 08:59:41 Installed: 1:eclipse-platform-4.2.0-0.22.I201205031800.fc17.x86_64
Jun 08 08:59:43 Installed: 1:eclipse-jdt-4.2.0-0.22.I201205031800.fc17.x86_64
Jun 08 08:59:54 Installed: 1:eclipse-pde-4.2.0-0.22.I201205031800.fc17.x86_64
Jun 08 09:25:17 Installed: glibc-devel-2.15-37.fc17.i686
Jun 08 09:27:16 Installed: 1:openssl-devel-1.0.0j-1.fc17.i686
Jun 08 12:29:17 Updated: ruby-libs-1.9.3.194-11.fc17.x86_64
Jun 08 12:29:18 Updated: numactl-libs-2.0.7-6.fc17.x86_64
Jun 08 12:29:18 Updated: groff-base-1.21-9.fc17.x86_64
Jun 08 12:29:19 Updated: ruby-1.9.3.194-11.fc17.x86_64
Jun 08 12:29:20 Updated: soprano-2.7.6-1.fc17.x86_64
Jun 08 12:29:20 Updated: soprano-devel-2.7.6-1.fc17.x86_64
Jun 08 12:29:21 Updated: ruby-irb-1.9.3.194-11.fc17.noarch
Jun 08 12:29:21 Updated: groff-1.21-9.fc17.x86_64
Jun 08 12:29:22 Updated: groff-perl-1.21-9.fc17.x86_64
Jun 08 12:29:22 Updated: numactl-devel-2.0.7-6.fc17.x86_64
Jun 08 12:29:23 Updated: numactl-2.0.7-6.fc17.x86_64
Jun 08 12:29:23 Updated: rubygem-io-console-0.3-11.fc17.x86_64
Jun 08 12:29:23 Updated: powertop-2.0-2.fc17.x86_64
Jun 08 12:29:23 Updated: yum-3.4.3-25.fc17.noarch
Jun 08 19:47:17 Installed: mercurial-2.2.1-1.fc17.x86_64
Jun 09 11:14:40 Updated: bash-4.2.29-1.fc17.x86_64
Jun 09 11:14:41 Updated: 1:libreoffice-ure-3.5.4.2-1.fc17.x86_64
Jun 09 11:14:42 Updated: plymouth-core-libs-0.8.5-0.2012.04.27.1.fc17.x86_64
Jun 09 11:14:42 Updated: plymouth-graphics-libs-0.8.5-0.2012.04.27.1.fc17.x86_64
Jun 09 11:14:42 Updated: sqlite-3.7.11-3.fc17.x86_64
Jun 09 11:14:42 Updated: kmod-libs-7-2.fc17.x86_64
Jun 09 11:14:43 Updated: udev-182-3.fc17.x86_64
Jun 09 11:14:43 Updated: libudev-182-3.fc17.x86_64
Jun 09 11:14:43 Updated: kmod-7-2.fc17.x86_64
Jun 09 11:14:44 Updated: plymouth-plugin-label-0.8.5-0.2012.04.27.1.fc17.x86_64
Jun 09 11:14:44 Updated: plymouth-plugin-two-step-0.8.5-0.2012.04.27.1.fc17.x86_64
Jun 09 11:14:44 Updated: plymouth-scripts-0.8.5-0.2012.04.27.1.fc17.x86_64
Jun 09 11:14:44 Updated: plymouth-0.8.5-0.2012.04.27.1.fc17.x86_64
Jun 09 11:14:44 Updated: plymouth-theme-charge-0.8.5-0.2012.04.27.1.fc17.x86_64
Jun 09 11:14:45 Updated: 1:libreoffice-opensymbol-fonts-3.5.4.2-1.fc17.noarch
Jun 09 11:14:45 Installed: xapian-core-libs-1.2.9-1.fc17.x86_64
Jun 09 11:14:46 Updated: 1:autocorr-en-3.5.4.2-1.fc17.noarch
Jun 09 11:14:47 Updated: 1:libreoffice-writer-3.5.4.2-1.fc17.x86_64
Jun 09 11:15:03 Updated: 1:libreoffice-core-3.5.4.2-1.fc17.x86_64
Jun 09 11:15:11 Updated: 1:libreoffice-presenter-screen-3.5.4.2-1.fc17.x86_64
Jun 09 11:15:13 Updated: 1:libreoffice-impress-3.5.4.2-1.fc17.x86_64
Jun 09 11:15:13 Updated: 1:libreoffice-graphicfilter-3.5.4.2-1.fc17.x86_64
Jun 09 11:15:13 Updated: 1:libreoffice-pdfimport-3.5.4.2-1.fc17.x86_64
Jun 09 11:15:16 Updated: zeitgeist-0.9.0-1.fc17.x86_64
Jun 09 11:15:16 Updated: plymouth-system-theme-0.8.5-0.2012.04.27.1.fc17.x86_64
Jun 09 11:15:17 Updated: os-prober-1.53-3.fc17.x86_64
Jun 09 11:15:17 Updated: libgudev1-182-3.fc17.x86_64
Jun 09 11:15:17 Updated: sqlite-devel-3.7.11-3.fc17.x86_64
Jun 09 11:15:42 Updated: google-chrome-stable-19.0.1084.56-140965.x86_64
Jun 09 11:15:42 Updated: apg-2.3.0b-16.fc17.x86_64
Jun 09 11:15:42 Updated: cifs-utils-5.5-1.fc17.x86_64
Jun 09 11:15:43 Updated: xkeyboard-config-2.5.1-2.fc17.noarch
Jun 09 11:15:44 Updated: sqlite-3.7.11-3.fc17.i686
Jun 10 13:22:27 Updated: 1:texlive-kpathsea-lib-2012-0.1.20120610_r26884.fc17.x86_64
Jun 10 13:22:27 Updated: 1:texlive-kpathsea-bin-2012-svn23152.0.1.20120610_r26884.fc17.x86_64
Jun 10 13:22:28 Updated: gettext-libs-0.18.1.1-14.fc17.x86_64
Jun 10 13:22:28 Updated: gettext-0.18.1.1-14.fc17.x86_64
Jun 10 13:22:30 Updated: 1:texlive-texlive-scripts-bin-2012-svn13663.0.1.20120610_r26884.noarch
Jun 10 13:22:30 Updated: 1:texlive-dvipdfmx-bin-2012-svn22981.0.1.20120610_r26884.fc17.x86_64
Jun 10 13:22:30 Updated: 1:texlive-texlive-msg-translations-svn26282-1.noarch
Jun 10 13:22:30 Updated: 1:texlive-collection-documentation-base-svn17091-0.1.20120610_r26884.noarch
Jun 10 13:22:30 Updated: 1:texlive-xdvi-bin-2012-svn22981.0.1.20120610_r26884.fc17.x86_64
Jun 10 13:22:30 Updated: 1:texlive-dvipdfm-bin-2012-svn13663.0.1.20120610_r26884.noarch
Jun 10 13:22:30 Updated: 1:texlive-texlive-scripts-svn26286-1.noarch
Jun 10 13:22:30 Updated: 1:texlive-collection-latex-svn25030-0.1.20120610_r26884.noarch
Jun 10 13:22:31 Updated: 1:texlive-mh-svn26294-1.noarch
Jun 10 13:22:31 Updated: 1:texlive-beamer-3.18.svn26288-1.noarch
Jun 10 13:22:31 Updated: 1:texlive-collection-basic-svn20730-0.1.20120610_r26884.noarch
Jun 10 13:22:31 Updated: 1:texlive-2012-0.1.20120610_r26884.fc17.x86_64
Jun 10 13:22:31 Updated: 1:texlive-collection-latexrecommended-svn25795-0.1.20120610_r26884.noarch
Jun 10 13:22:31 Updated: 1:texlive-scheme-basic-svn25923-0.1.20120610_r26884.noarch
Jun 10 13:22:35 Updated: 1:texlive-base-2012-0.1.20120610_r26884.fc17.noarch
Jun 10 13:22:35 Updated: 1:texlive-tetex-bin-2012-svn25900.0.1.20120610_r26884.noarch
Jun 10 13:22:35 Installed: 1:texlive-sansmathaccent-svn26200-1.noarch
Jun 10 13:22:36 Updated: gettext-common-devel-0.18.1.1-14.fc17.noarch
Jun 10 13:22:36 Updated: colord-0.1.21-1.fc17.x86_64
Jun 10 13:22:37 Updated: colord-gtk-0.1.21-1.fc17.x86_64
Jun 10 13:22:37 Updated: gettext-devel-0.18.1.1-14.fc17.x86_64
Jun 10 13:22:37 Updated: 1:texlive-dvips-bin-2012-svn22981.0.1.20120610_r26884.fc17.x86_64
Jun 10 13:22:37 Updated: 1:texlive-texcount-bin-2012-svn13013.0.1.20120610_r26884.noarch
Jun 10 13:22:37 Updated: 1:texlive-mptopdf-bin-2012-svn18674.0.1.20120610_r26884.noarch
Jun 10 13:22:39 Updated: argyllcms-1.4.0-2.fc17.x86_64
Jun 10 13:22:41 Updated: shared-mime-info-1.0-4.fc17.x86_64
Jun 10 13:22:42 Updated: 1:texlive-release-2012-0.1.20120610_r26884.fc17.noarch
Jun 10 13:22:42 Updated: 1:texlive-kpathsea-lib-2012-0.1.20120610_r26884.fc17.i686
Jun 11 22:56:14 Updated: gtk2-2.24.10-2.fc17.x86_64
Jun 11 22:56:16 Updated: cryptsetup-libs-1.4.3-1.fc17.x86_64
Jun 11 22:56:16 Updated: cryptsetup-1.4.3-1.fc17.x86_64
Jun 11 22:56:16 Updated: gtk2-immodule-xim-2.24.10-2.fc17.x86_64
Jun 11 22:56:18 Updated: gtk2-devel-docs-2.24.10-2.fc17.x86_64
Jun 11 22:56:20 Updated: gtk2-devel-2.24.10-2.fc17.x86_64
Jun 11 22:56:25 Updated: gstreamer-plugins-good-0.10.31-3.fc17.x86_64
Jun 11 22:56:26 Updated: gstreamer-plugins-bad-free-0.10.23-6.fc17.x86_64
Jun 11 22:56:27 Updated: clutter-gst-1.5.6-1.fc17.x86_64
Jun 11 22:56:27 Updated: xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.x86_64
Jun 11 22:56:27 Updated: yum-3.4.3-26.fc17.noarch
Jun 12 10:35:30 Installed: bluefish-shared-data-2.2.2-1.fc17.noarch
Jun 12 10:35:31 Installed: bluefish-2.2.2-1.fc17.x86_64
Jun 12 15:46:08 Updated: libpinyin-data-0.6.0-2.fc17.x86_64
Jun 12 15:46:09 Updated: libpinyin-0.6.0-2.fc17.x86_64
Jun 12 15:46:09 Updated: 2:cheese-libs-3.4.2-2.fc17.x86_64
Jun 12 15:46:11 Updated: 2:pilot-link-libs-0.12.5-11.fc17.x86_64
Jun 12 15:46:11 Updated: 2:pilot-link-0.12.5-11.fc17.x86_64
Jun 12 15:46:12 Updated: 2:cheese-3.4.2-2.fc17.x86_64
Jun 12 15:46:13 Updated: nc-1.107.20120403-1.fc17.x86_64
Jun 13 18:34:54 Updated: krb5-libs-1.10-7.fc17.x86_64
Jun 13 18:34:54 Updated: xorg-x11-server-common-1.12.2-1.fc17.x86_64
Jun 13 18:34:54 Updated: 32:bind-license-9.9.1-2.P1.fc17.noarch
Jun 13 18:34:55 Updated: 32:bind-libs-9.9.1-2.P1.fc17.x86_64
Jun 13 18:35:03 Updated: 1:java-1.7.0-openjdk-1.7.0.3-2.1.fc17.7.x86_64
Jun 13 18:35:06 Updated: 1:java-1.7.0-openjdk-devel-1.7.0.3-2.1.fc17.7.x86_64
Jun 13 18:35:06 Updated: 32:bind-utils-9.9.1-2.P1.fc17.x86_64
Jun 13 18:35:07 Updated: 32:bind-libs-lite-9.9.1-2.P1.fc17.x86_64
Jun 13 18:35:07 Updated: xorg-x11-server-Xephyr-1.12.2-1.fc17.x86_64
Jun 13 18:35:07 Updated: xorg-x11-server-Xorg-1.12.2-1.fc17.x86_64
Jun 13 18:35:08 Updated: krb5-devel-1.10-7.fc17.x86_64
Jun 13 18:35:09 Updated: krb5-workstation-1.10-7.fc17.x86_64
Jun 13 18:35:12 Updated: Django-1.4-3.fc17.noarch
Jun 13 18:35:39 Updated: 1:java-1.7.0-openjdk-javadoc-1.7.0.3-2.1.fc17.7.noarch
Jun 13 18:35:45 Updated: python-httplib2-0.7.4-2.fc17.noarch
Jun 13 18:35:45 Updated: xorg-x11-server-devel-1.12.2-1.fc17.x86_64
Jun 13 18:35:46 Updated: krb5-libs-1.10-7.fc17.i686

I hope this helps.
Comment 6 Dennis Schafroth 2012-06-20 05:23:30 EDT
Getting this error mesage and stack trace in /var/log/messages:

Jun 20 11:18:51 applebook kernel: [565152.041024] BUG: soft lockup - CPU#0 stuck for 22s! [kworker/0:1:11]
Jun 20 11:18:51 applebook kernel: [565152.041024] Modules linked in: xt_multiport be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 ip6t_REJECT mdio libcxgbi nf_conntrack_ipv6 nf_defrag_ipv6 ipt_MASQUERADE xt_state ib_iser iptable_nat nf_nat rdma_cm nf_conntrack_ipv4 ib_addr iw_cm ib_cm nf_defrag_ipv4 ib_sa ib_mad ib_core ip6table_filter iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6_tables nf_conntrack uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media snd_hda_codec_realtek arc4 ath9k ath9k_common ath9k_hw ath snd_hda_intel snd_hda_codec mac80211 snd_hwdep snd_pcm snd_page_alloc snd_timer coretemp microcode iTCO_wdt iTCO_vendor_support cfg80211 snd atl1c soundcore eeepc_laptop sparse_keymap rfkill nfsd nfs_acl auth_rpcgss lockd sunrpc uinput i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
Jun 20 11:18:51 applebook kernel: [565152.041024] Modules linked in: xt_multiport be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 ip6t_REJECT mdio libcxgbi nf_conntrack_ipv6 nf_defrag_ipv6 ipt_MASQUERADE xt_state ib_iser iptable_nat nf_nat rdma_cm nf_conntrack_ipv4 ib_addr iw_cm ib_cm nf_defrag_ipv4 ib_sa ib_mad ib_core ip6table_filter iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6_tables nf_conntrack uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media snd_hda_codec_realtek arc4 ath9k ath9k_common ath9k_hw ath snd_hda_intel snd_hda_codec mac80211 snd_hwdep snd_pcm snd_page_alloc snd_timer coretemp microcode iTCO_wdt iTCO_vendor_support cfg80211 snd atl1c soundcore eeepc_laptop sparse_keymap rfkill nfsd nfs_acl auth_rpcgss lockd sunrpc uinput i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
Jun 20 11:18:51 applebook kernel: [565152.041024] 
Jun 20 11:18:51 applebook kernel: [565152.041024] Pid: 11, comm: kworker/0:1 Tainted: G        W    3.4.0-1.fc17.i686.PAE #1 ASUSTeK Computer INC. 1005HA/1005HA
Jun 20 11:18:51 applebook kernel: [565152.041024] EIP: 0060:[<c08717bf>] EFLAGS: 00000292 CPU: 0
Jun 20 11:18:51 applebook kernel: [565152.041024] EIP is at eth_type_trans+0x1f/0x130
Jun 20 11:18:51 applebook kernel: [565152.041024] EAX: f1d91e40 EBX: c5828040 ECX: f1d91e40 EDX: f6748000
Jun 20 11:18:51 applebook kernel: [565152.041024] ESI: f1d91e40 EDI: 0c610000 EBP: f500bf38 ESP: f500bf2c
Jun 20 11:18:51 applebook kernel: [565152.041024]  DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Jun 20 11:18:51 applebook kernel: [565152.041024] CR0: 8005003b CR2: 42513860 CR3: 00c93000 CR4: 000007f0
Jun 20 11:18:51 applebook kernel: [565152.041024] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
Jun 20 11:18:51 applebook kernel: [565152.041024] DR6: ffff0ff0 DR7: 00000400
Jun 20 11:18:51 applebook kernel: [565152.041024] Process kworker/0:1 (pid: 11, ti=f500a000 task=f50d8000 task.ti=f50ac000)
Jun 20 11:18:51 applebook kernel: [565152.041024] Stack:
Jun 20 11:18:51 applebook kernel: [565152.041024]  f1dc9c60 f1d91e40 0c610000 f500bf90 f7eb260e 0000002d f50aded4 f500bf50
Jun 20 11:18:51 applebook kernel: [565152.041024]  f67484c0 000005f2 f5189860 f67484c8 f5189860 f6748000 f6748734 00000040
Jun 20 11:18:51 applebook kernel: [565152.041024]  000005da 002f028e 0000002f 00000000 00000001 c0950470 f67484c8 00000003
Jun 20 11:18:51 applebook kernel: [565152.041024] Call Trace:
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<f7eb260e>] atl1c_clean+0x18e/0x2e0 [atl1c]
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c0950470>] ? common_interrupt+0x30/0x38
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c0859b1d>] net_rx_action+0x11d/0x1d0
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c044cea7>] __do_softirq+0x97/0x190
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c044ce10>] ? local_bh_enable_ip+0x90/0x90
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c044ce10>] ? local_bh_enable_ip+0x90/0x90
Jun 20 11:18:51 applebook kernel: [565152.041024]  <IRQ> 
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c044d1fd>] ? irq_exit+0x9d/0xb0
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c041352b>] ? do_IRQ+0x4b/0xc0
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c066a55e>] ? __const_udelay+0x1e/0x20
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<f7eb2acd>] ? atl1c_wait_mdio_idle+0x1d/0x60 [atl1c]
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c0950470>] ? common_interrupt+0x30/0x38
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c09400e0>] ? gup_huge_pud+0x2b/0x110
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<f7eb1b7d>] ? atl1c_check_link_status+0x23d/0x2e0 [atl1c]
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c0950470>] ? common_interrupt+0x30/0x38
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<f7eb1f8b>] ? atl1c_common_task+0x9b/0x110 [atl1c]
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c045e318>] ? process_one_work+0x108/0x370
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<f7eb1ef0>] ? atl1c_io_resume+0x70/0x70 [atl1c]
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c045f869>] ? worker_thread+0xf9/0x280
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c046f3ae>] ? complete+0x4e/0x60
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c045f770>] ? manage_workers.isra.24+0x1d0/0x1d0
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c0464132>] ? kthread+0x72/0x80
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c04640c0>] ? flush_kthread_worker+0x70/0x70
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c095047e>] ? kernel_thread_helper+0x6/0x10
Jun 20 11:18:51 applebook kernel: [565152.041024] Code: 00 10 00 00 eb d7 8d b6 00 00 00 00 55 89 e5 83 ec 0c 89 5d f4 89 75 f8 89 7d fc 3e 8d 74 26 00 8b 98 b0 00 00 00 89 c1 89 50 14 <89> 98 a0 00 00 00 8b 40 50 83 f8 0d 76 18 83 e8 0e 3b 41 54 89 
Jun 20 11:18:51 applebook kernel: [565152.041024] Call Trace:
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<f7eb260e>] atl1c_clean+0x18e/0x2e0 [atl1c]
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c0950470>] ? common_interrupt+0x30/0x38
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c0859b1d>] net_rx_action+0x11d/0x1d0
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c044cea7>] __do_softirq+0x97/0x190
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c044ce10>] ? local_bh_enable_ip+0x90/0x90
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c044ce10>] ? local_bh_enable_ip+0x90/0x90
Jun 20 11:18:51 applebook kernel: [565152.041024]  <IRQ>  [<c044d1fd>] ? irq_exit+0x9d/0xb0
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c041352b>] ? do_IRQ+0x4b/0xc0
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c066a55e>] ? __const_udelay+0x1e/0x20
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<f7eb2acd>] ? atl1c_wait_mdio_idle+0x1d/0x60 [atl1c]
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c0950470>] ? common_interrupt+0x30/0x38
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c09400e0>] ? gup_huge_pud+0x2b/0x110
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<f7eb1b7d>] ? atl1c_check_link_status+0x23d/0x2e0 [atl1c]
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c0950470>] ? common_interrupt+0x30/0x38
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<f7eb1f8b>] ? atl1c_common_task+0x9b/0x110 [atl1c]
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c045e318>] ? process_one_work+0x108/0x370
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<f7eb1ef0>] ? atl1c_io_resume+0x70/0x70 [atl1c]
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c045f869>] ? worker_thread+0xf9/0x280
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c046f3ae>] ? complete+0x4e/0x60
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c045f770>] ? manage_workers.isra.24+0x1d0/0x1d0
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c0464132>] ? kthread+0x72/0x80
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c04640c0>] ? flush_kthread_worker+0x70/0x70
Jun 20 11:18:51 applebook kernel: [565152.041024]  [<c095047e>] ? kernel_thread_helper+0x6/0x10
Comment 7 Dennis Schafroth 2012-06-20 05:53:06 EDT
Still seeing this after upgrade of all packages and reboot.
Comment 8 Dennis Schafroth 2012-06-20 06:00:58 EDT
Running Linux applebook.schafroth.dk 3.4.2-4.fc17.i686.PAE #1 SMP Thu Jun 14 22:11:26 UTC 2012 i686 i686 i386 GNU/Linux. 

Will prob. install debian on this within long, since it's not useable.
Comment 9 Dennis Schafroth 2012-06-21 14:15:28 EDT
Also seeing this issue: 

Jun 21 08:00:35 applebook kernel: [72936.453189] atl1c 0000:01:00.0: atl1c: eth0 NIC Link is Down
Jun 21 08:00:36 applebook ucarp[1189]: [WARNING] Switching to state: BACKUP
Jun 21 08:00:36 applebook ucarp[1189]: [WARNING] Spawning [/etc/ucarp/takedown-gw.sh eth0:1 10.0.0.4]
Jun 21 08:00:36 applebook avahi-daemon[590]: Withdrawing address record for 10.0.0.4 on eth0.
Jun 21 08:00:37 applebook kernel: [72938.129580] atl1c 0000:01:00.0: atl1c: eth0 NIC Link is Up<100 Mbps Full Duplex>
Jun 21 08:00:46 applebook kernel: [72948.016042] ------------[ cut here ]------------
Jun 21 08:00:46 applebook kernel: [72948.016066] WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x1df/0x1f0()
Jun 21 08:00:46 applebook kernel: [72948.016074] Hardware name: 1005HA
Jun 21 08:00:46 applebook kernel: [72948.016080] NETDEV WATCHDOG: eth0 (atl1c): transmit queue 0 timed out
Jun 21 08:00:46 applebook kernel: [72948.016086] Modules linked in: xt_multiport be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp ip6t_REJECT ipt_MASQUERADE nf_conntrack_ipv6 nf_defrag_ipv6 xt_state libiscsi scsi_transport_iscsi iptable_nat nf_nat ip6table_filter nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ip6_tables uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev snd_hda_codec_realtek media arc4 ath9k snd_hda_intel ath9k_common ath9k_hw iTCO_wdt iTCO_vendor_support snd_hda_codec snd_hwdep ath snd_pcm mac80211 snd_page_alloc snd_timer eeepc_laptop cfg80211 snd coretemp atl1c soundcore microcode sparse_keymap rfkill nfsd uinput nfs_acl auth_rpcgss lockd sunrpc i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
Jun 21 08:00:46 applebook kernel: [72948.016261] Pid: 11, comm: kworker/0:1 Not tainted 3.4.2-4.fc17.i686.PAE #1
Jun 21 08:00:46 applebook kernel: [72948.016269] Call Trace:
Jun 21 08:00:46 applebook kernel: [72948.016287]  [<c0446042>] warn_slowpath_common+0x72/0xa0
Jun 21 08:00:46 applebook kernel: [72948.016299]  [<c0871b8f>] ? dev_watchdog+0x1df/0x1f0
Jun 21 08:00:46 applebook kernel: [72948.016309]  [<c0871b8f>] ? dev_watchdog+0x1df/0x1f0
Jun 21 08:00:46 applebook kernel: [72948.016320]  [<c0446113>] warn_slowpath_fmt+0x33/0x40
Jun 21 08:00:46 applebook kernel: [72948.016331]  [<c0871b8f>] dev_watchdog+0x1df/0x1f0
Jun 21 08:00:46 applebook kernel: [72948.016353]  [<c08719b0>] ? dev_deactivate_queue.constprop.32+0x60/0x60
Jun 21 08:00:46 applebook kernel: [72948.016367]  [<c0453c21>] run_timer_softirq+0xf1/0x2a0
Jun 21 08:00:46 applebook kernel: [72948.016379]  [<c044c900>] ? local_bh_enable_ip+0x90/0x90
Jun 21 08:00:46 applebook kernel: [72948.016391]  [<c094fc70>] ? common_interrupt+0x30/0x38
Jun 21 08:00:46 applebook kernel: [72948.016402]  [<c08719b0>] ? dev_deactivate_queue.constprop.32+0x60/0x60
Jun 21 08:00:46 applebook kernel: [72948.016414]  [<c044c997>] __do_softirq+0x97/0x190
Jun 21 08:00:46 applebook kernel: [72948.016426]  [<c044c900>] ? local_bh_enable_ip+0x90/0x90
Jun 21 08:00:46 applebook kernel: [72948.016434]  <IRQ>  [<c044cced>] ? irq_exit+0x9d/0xb0
Jun 21 08:00:46 applebook kernel: [72948.016453]  [<c042f02e>] ? smp_apic_timer_interrupt+0x5e/0x90
Jun 21 08:00:46 applebook kernel: [72948.016466]  [<c0949055>] ? apic_timer_interrupt+0x31/0x38
Jun 21 08:00:46 applebook kernel: [72948.016496]  [<f7e8cf73>] ? atl1c_common_task+0x83/0x110 [atl1c]
Jun 21 08:00:46 applebook kernel: [72948.016509]  [<c045de08>] ? process_one_work+0x108/0x370
Jun 21 08:00:46 applebook kernel: [72948.016531]  [<f7e8cef0>] ? atl1c_io_resume+0x70/0x70 [atl1c]
Jun 21 08:00:46 applebook kernel: [72948.016551]  [<f7e8cef0>] ? atl1c_io_resume+0x70/0x70 [atl1c]
Jun 21 08:00:46 applebook kernel: [72948.016563]  [<c045f359>] ? worker_thread+0xf9/0x280
Jun 21 08:00:46 applebook kernel: [72948.016574]  [<c046ee9e>] ? complete+0x4e/0x60
Jun 21 08:00:46 applebook kernel: [72948.016585]  [<c045f260>] ? manage_workers.isra.24+0x1d0/0x1d0
Jun 21 08:00:46 applebook kernel: [72948.016596]  [<c0463c22>] ? kthread+0x72/0x80
Jun 21 08:00:46 applebook kernel: [72948.016607]  [<c0463bb0>] ? flush_kthread_worker+0x70/0x70
Jun 21 08:00:46 applebook kernel: [72948.016617]  [<c094fc7e>] ? kernel_thread_helper+0x6/0x10
Jun 21 08:00:46 applebook kernel: [72948.016626] ---[ end trace aa3697b1e6232040 ]---
Jun 21 08:00:47 applebook kernel: [72948.032577] atl1c 0000:01:00.0: atl1c: eth0 NIC Link is Up<100 Mbps Full Duplex>
Jun 21 08:00:55 applebook ucarp[1189]: [WARNING] Switching to state: MASTER
Jun 21 08:00:55 applebook ucarp[1189]: [WARNING] Spawning [/etc/ucarp/setup-gw.sh eth0:1 10.0.0.4]
Jun 21 08:00:55 applebook avahi-daemon[590]: Registering new address record for 10.0.0.4 on eth0.IPv4.
Jun 21 08:01:02 applebook /etc/sysconfig/network-scripts/ifup-eth: Device eth1 does not seem to be present, delaying initialization.
Jun 21 08:01:08 applebook chronyd[1158]: NTP packet received from unauthorised host 10.0.0.15 port 123
Jun 21 08:02:14 applebook chronyd[1158]: NTP packet received from unauthorised host 10.0.0.15 port 123
Jun 21 08:03:18 applebook chronyd[1158]: NTP packet received from unauthorised host 10.0.0.15 port 123
Jun 21 08:04:23 applebook chronyd[1158]: NTP packet received from unauthorised host 10.0.0.15 port 123
Jun 21 08:05:01 applebook xinetd[936]: START: csync2 pid=22367 from=::ffff:10.0.0.19
Jun 21 08:05:10 applebook xinetd[936]: EXIT: csync2 status=0 pid=22367 duration=9(sec)
Comment 10 Dennis Schafroth 2012-08-15 04:11:06 EDT
No longer running Fedora, so close if I am the only one with this bug.

Note You need to log in before you can comment on or make changes to this bug.